<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddH323TrunkReq StructType
 * @subpackage Structs
 */
class AddH323TrunkReq extends APIRequest
{
    /**
     * The h323Trunk
     * @var XH323Trunk
     */
    public $h323Trunk;
    /**
     * Constructor method for AddH323TrunkReq
     * @uses AddH323TrunkReq::setH323Trunk()
     * @param XH323Trunk $h323Trunk
     */
    public function __construct(XH323Trunk $h323Trunk = null)
    {
        $this
            ->setH323Trunk($h323Trunk);
    }
    /**
     * Get h323Trunk value
     * @return XH323Trunk|null
     */
    public function getH323Trunk()
    {
        return $this->h323Trunk;
    }
    /**
     * Set h323Trunk value
     * @param XH323Trunk $h323Trunk
     * @return AddH323TrunkReq
     */
    public function setH323Trunk(XH323Trunk $h323Trunk = null)
    {
        $this->h323Trunk = $h323Trunk;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddH323TrunkReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
